Package org.jmock.core

# Class CoreMock

java.lang.Object
org.jmock.core.AbstractDynamicMock
org.jmock.core.CoreMock

All Implemented Interfaces:
  `InvocationHandler`, `DynamicMock`, `Verifiable`

public class CoreMock extends AbstractDynamicMock implements InvocationHandler

Since:
  1.0

## Constructor Summary

Constructors
Constructor
Description
`CoreMock(Class mockedType, String name)`
`CoreMock(Class mockedType, String name, InvocationDispatcher invocationDispatcher)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(Object invokedProxy, Method method, Object[] args)`
`Object`
`proxy()`

### Methods inherited from class org.jmock.core.AbstractDynamicMock

`addInvokable, getMockedType, getMockName, mockInvocation, mockNameFromClass, reset, setDefaultStub, toString, verify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CoreMock

public CoreMock(Class mockedType, String name)

### CoreMock

public CoreMock(Class mockedType, String name, InvocationDispatcher invocationDispatcher)

## Method Details

### proxy

public Object proxy()

Specified by:
  `proxy` in interface `DynamicMock`
Specified by:
  `proxy` in class `AbstractDynamicMock`

### invoke

public Object invoke(Object invokedProxy, Method method, Object[] args) throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`